searching for an exact hostname fails
Pull request:    

Description

searching for hq-abridgett-d0 returns: hq-abridgett-d01.example.com, hq-abridgett-d02.example.com

searching for hq-abridgett-d02 returns the full list (as if it's found nothing)

This is running 1.1RC3 (git pull from a few days ago - cc7c19279ad3393a5b5d60a8abe3e5abea494522)

History

#1 - 01/30/2013 08:51 AM - Ohad Levy

- Status changed from New to Feedback

when you want to be specific, you should use something like name = fqdn

let the auto completer show you the possible queries and values.

for more advance usage case, see http://blog.theforeman.org/2012/01/advance-search-tips-in-foreman.html

#2 - 02/09/2013 05:31 AM - Adrian Bridgett

Thanks Ohad, sorry for taking so long to get back.  That doesn't seem to be what I'm seeing - I just see very dodgy searching! I can grab some more

examples but essentially it doesn't seem to be acting as a filter as described. e.g. the case I gave, hq-abridgett-d02 is just a random box, nothing

special - wouldn't be mentioned on most machines, and yet "searching" for it on the hosts page just left the full list of servers (so presumably it

matched either all or none).

#3 - 02/12/2013 02:48 AM - Ohad Levy

please send complete logs :)

additionally, please consider using the auto completer and see if it suggest a better search term?

#4 - 02/27/2014 12:37 PM - Benjamin Papillon

- Description updated

Hello,

It's been a while this ticket is open. Do you still have the issue with the recent versions of Foreman? Can you provide the recent logs if you still

experience the searching issue?

Regards

#5 - 03/18/2014 08:47 AM - Adrian Bridgett

- Status changed from Feedback to Closed

Hi Benjamin, thanks for chasing.  It seems to be behaving okay right now - it was a problem for a few releases but let's say that it's been fixed - I'm

sure someone will always re-raise if it's seen again :-)
